- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CStepLabel Class Reference

Inheritance diagram for Exponent::GUI::Controls::CStepLabel:

List of all members.

## Detailed Description

Displays text in a box area, that can be incremented / decremented through a list.

Date:
  17/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CStepLabel.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 39 of file CStepLabel.hpp.

## Public Types

- enum EStepLabelButtons {
  e_stepIncrementButton = 0,
  e_stepDecrementButton
  }
    Enumerator of the buttons that can control this control. More...

## Public Member Functions

- void addString (const CString &string)
- CStepLabel (IControlRoot *root, const long uniqueId, const CRect &area, IActionListener *listener=NULL)
- TStringCountedPointerArray * getMutableStringArray () const
- const TStringCountedPointerArray * getStringArray () const
- virtual void handleActionEvent (const CActionEvent &event)
- void nextString ()
- void previousString ()
- void setStep (const long step)
- void wrapStringsAtEdges (const bool wrap)
- virtual ~CStepLabel ()

## Protected Attributes

- long m_currentStringIndex
- TStringCountedPointerArray * m_stringArray
- bool m_wrapStrings

## Member Enumeration Documentation

enum Exponent::GUI::Controls::CStepLabel::EStepLabelButtons

Enumerator of the buttons that can control this control.

Enumerator:

  e_stepIncrementButton | Increment
  e_stepDecrementButton | Decrement

Definition at line 55 of file CStepLabel.hpp.

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CStepLabel::CStepLabel | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | IActionListener * | listener = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control
  | uniqueId | The uniqueId
  | area | The area of the control
  | listener | The action listener

virtual Exponent::GUI::Controls::CStepLabel::~CStepLabel | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Controls::CStepLabel::addString | ( | const CString & | string | ) |

Add a string

Parameters:

  | string | The string to add

TStringCountedPointerArray* Exponent::GUI::Controls::CStepLabel::getMutableStringArray | ( |  | ) | const`[inline]`

Get the string Array

Return values:

  | TStringCountedPointerArray* | The string array

Definition at line 96 of file CStepLabel.hpp.

References m_stringArray.

const TStringCountedPointerArray* Exponent::GUI::Controls::CStepLabel::getStringArray | ( |  | ) | const`[inline]`

Get the string array

Return values:

  | TStringCountedPointerArray* | The string array

Definition at line 90 of file CStepLabel.hpp.

References m_stringArray.

virtual void Exponent::GUI::Controls::CStepLabel::handleActionEvent | ( | const CActionEvent & | event | ) | `[virtual]`

Handle an event - a control has changed in some way and wants you
to update the internal workings accordingly

Parameters:

  | event | The event to hande

Note:
  Expects control id to be from EStepLabelButtons

void Exponent::GUI::Controls::CStepLabel::nextString | ( |  | ) |

Move to the next string

void Exponent::GUI::Controls::CStepLabel::previousString | ( |  | ) |

Move to the previous string

void Exponent::GUI::Controls::CStepLabel::setStep | ( | const long | step | ) |

Set the index

Parameters:

  | step | The step you want to display

void Exponent::GUI::Controls::CStepLabel::wrapStringsAtEdges | ( | const bool | wrap | ) | `[inline]`

Should the string table be wrapped at the ends (ie is the step after arraySize zero?)

Definition at line 101 of file CStepLabel.hpp.

References m_wrapStrings.

## Member Data Documentation

long Exponent::GUI::Controls::CStepLabel::m_currentStringIndex`[protected]`

Current selection

Definition at line 139 of file CStepLabel.hpp.

TStringCountedPointerArray* Exponent::GUI::Controls::CStepLabel::m_stringArray`[protected]`

The array of strings to display

Definition at line 137 of file CStepLabel.hpp.

Referenced by getMutableStringArray(), and getStringArray().

bool Exponent::GUI::Controls::CStepLabel::m_wrapStrings`[protected]`

Wrap strings?

Definition at line 138 of file CStepLabel.hpp.

Referenced by wrapStringsAtEdges().